Article ID: 113179, created on Apr 17, 2013, last review on May 11, 2014

  • Applies to:
  • Plesk 11.0 for Windows
  • Plesk 10.4 for Windows

Domanda:

Come faccio ad aggiornare PHP alla versione 5.3 su Parallels Plesk Panel per Windows?
 

Risposta

È possibile configurare il supporto per PHP 5.3 in Parallels Plesk Panel 10.4.4 via l'autoinstaller: Strumenti e impostazioni > Aggiornamenti
 

Nell'autoinstaller, seleziona "Aggiungi componente" e quindi nel gruppo "Funzionalità di hosting Parallels Plesk Panel", seleziona "motore script PHP5.3."




È anche possibile configurare il supporto PHP 5.3 con il seguente comando:
"%plesk_bin%\ai.exe" --select-release-id PANEL_10_4_4_WIN --install-component php53
È possibile abilitare il supporto PHP 5.3 per un dominio nelle Impostazioni di hosting del dominio:



È possibile creare un dominio con PHP 5.3 usando il seguente comando:
"%plesk_dir%\bin\domain.exe --create mydomain.name -hosting true -hst_type phys -clogin admin -login ftpuser1 -passwd s$kr3t -ip 10.52.76.75 -php true -php_version 5.3
È possibile abilitare il supporto di PHP 5.3 per un dominio esistente usando il seguente comando:
"%plesk_dir%\bin\domain.exe --update mydomain.name -php true -php_version 5.3
Inoltre, è possibile definire il supporto di PHP 5.3 per i domini nel piano di servizio:



Un piano di servizio con supporto per PHP 5.3 può essere creato usando il seguente comando:
service_plan.exe --create newplan -php true -php_version 5.3

Per un piano di servizio esistente, il supporto PHP 5.3 può essere abilitato con il seguente comando:
service_plan.exe --update "Default Domain" -php true -php_version 5.3
Tutte le azioni sopraelencate possono essere eseguite con richieste API-RPC. Per esempio:
<packet version="1.6.3.0">
<site>
<set>
<filter>
<name>mysite.name</name>
</filter>
<values>
<hosting>
<vrt_hst>
<property>
<name>php_version</name>
<value>5.3</value>
</property>
</vrt_hst>
</hosting>
</values>
</set>
</site>
</packet>

Informazioni aggiuntive

- Il parametro date.timezone è impostato su UTC in %plesk_dir%\Additional\PleskPHP53\php.ini.
- Il supporto per l'operazione di PHP come ISAPI è stato disabilitato nella versione 5.3 di PHP. PHP 5.3 funziona in modalità CGI o FastCGI in Parallels Plesk Panel.
- Se Parallels Plesk Panel è stato installato con Microsoft SQL Server 2005, per il corretto funzionamento delle estensioni PHP sqlsrv e sqlpdo, è anche necessario installare MS SQL Server 2008 Native Client sul server Parallels Plesk Panel.

56797cefb1efc9130f7c48a7d1db0f0c ff5a00b8ead2e480367b019417a04207 a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 c796c01d6951fa24ed54c7f1111667c6 514af229ae32522202a910a2649c80fb bd7fc88cf1b01f097749ae6f87272128

Email subscription for changes to this article
Save as PDF